NSStruct::RecursifData::Node Struct Reference

the data data More...

`#include <NSStruct.hxx>`

## Public Member Functions

| Node ()
| constructor More...
bool | isLeaf () const
| returns true if the node is a final node More...

## Public Attributes

int | m_type
| the variable type More...
MWAWEntry | m_entry
| the entry More...
shared_ptr< RecursifData > | m_data
| the recursif data More...

## Detailed Description

the data data

## Constructor & Destructor Documentation

NSStruct::RecursifData::Node::Node | ( |  | ) |

inline

constructor

## Member Function Documentation

bool NSStruct::RecursifData::Node::isLeaf | ( |  | ) | const

inline

returns true if the node is a final node

Referenced by NSGraph::readPLDT(), NSParser::readReference(), NSParser::readSGP1(), and NSParser::readVariable().

## Member Data Documentation

shared_ptr<RecursifData> NSStruct::RecursifData::Node::m_data

the recursif data

Referenced by isLeaf(), NSStruct::RecursifData::read(), NSParser::readReference(), and NSParser::readVariable().

MWAWEntry NSStruct::RecursifData::Node::m_entry

the entry

Referenced by NSStruct::RecursifData::read(), NSGraph::readPLDT(), NSParser::readReference(), NSParser::readSGP1(), and NSParser::readVariable().

int NSStruct::RecursifData::Node::m_type

the variable type

Referenced by NSStruct::RecursifData::read(), NSParser::readReference(), NSParser::readSGP1(), and NSParser::readVariable().

The documentation for this struct was generated from the following file:

- NSStruct.hxx